Upgrade ruby193-rubygem-net-ldap in foreman to 0.3.1

07/02/2013 09:08 PM - Graeme Gillies

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

Since upgrading to foreman 1.2 I had problems using ldap authentication, always getting "protocol errors" regardless of what settings

I used.

I upgraded to rubygem net ldap version 0.3.1 using

http://koji.katello.org/packages/ruby193-rubygem-net-ldap/0.3.1/1.el6/noarch/ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch.rpm

And it fixed all my problems. Can we get this version of rubygem-net-ldap used as the official version for foreman and pushed into

1.2 stable?

Regards,

Graeme

History

#1 - 07/03/2013 03:39 AM - Dominic Cleal

- Category set to Packaging

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.2.1

Will target for 1.2.1 as this is a regression, 1.1 shipped with 0.3.1.

#2 - 07/03/2013 04:00 AM - Ohad Levy

+1

#3 - 07/03/2013 08:18 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

net-ldap's tagged into nightly and 1.2, but needs this fix to remove net-ping to prevent a conflict:

https://github.com/theforeman/foreman/pull/763

It won't appear in our main yum.tf.org repos until we publish 1.2.1, which'll be soon.

#4 - 07/22/2013 11:28 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#5 - 08/08/2013 09:40 AM - Anonymous
http://koji.katello.org/packages/ruby193-rubygem-net-ldap/0.3.1/1.el6/noarch/ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch.rpm
https://github.com/theforeman/foreman/pull/763


This was the same issue as for 2611. Closing that as well.
